petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESSetCountersReset

Sets whether or not the counters for linear iterations and function evaluations are reset every time SNESSolve() is called.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetCountersReset(SNES snes,PetscBool reset)

Logically Collective on SNES

### Input Parameter

| snes | - SNES context
| reset | - whether to reset the counters or not

### Notes

This defaults to PETSC_TRUE

### Keywords

SNES, nonlinear, set, reset, number, linear, iterations

### See Also

SNESGetNumberFunctionEvals(), SNESGetLinearSolveIterations(), SNESGetNPC()

### Level

developer

### Location

src/snes/interface/snes.c

### Examples

src/snes/examples/tutorials/ex5.c.html
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages